Skip to main content
Documentation
SDK
API
Changelog
Back to Foxglove
Search
Loading...
Foxglove API
Python client
Authentication
Sorting and pagination
Timestamps
Rate limits
Data Platform
Automations
Coverage
Custom Properties
Datasets
Device Tokens
Devices
Episodes
Events
Event Types
Imports
Lake files
Projects
Recording Attachments
Recordings
Sessions
Site Tokens
List site tokens
get
Create a site token
post
Delete a site token
delete
Site Inbox Notification Tokens
Sites
Stream data
Topics
Webhooks
Webhook Payloads
Visualization
Extensions
Layouts
API docs by
Delete a site token
Request
Security
View security details
ApiKey
(Required scopes:
siteTokens.delete
)
Path
id
string
required
Site token ID
DELETE
/site-tokens/{id}
Production
https://api.foxglove.dev/v1/site-tokens/{id}
Payload
// No request payload
Responses
200
success
Body
application/json
success
boolean
required
Value:
true
Response
200
application/json
{
"success"
:
true
}